Subject: RE: source code for 'ps' command ?
From: [email-masked] (Scott Field)

24 Oct 1996 09:35:40 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <c=US%a=_%p=msft%l=[email-masked]>
Original-To: "'Enrico Brunetta'" <[email-masked]>,
        "'Geoffrey Noer'"
	 <[email-masked]>
Original-Cc: "[email-masked]'" <[email-masked]>
X-Mailer: Microsoft Exchange Server Internet Mail Connector Version 4.0.994.56
Encoding: 35 TEXT
Original-Sender: [email-masked]

There are a variety of existing tools that do this for WinNT, that
display all processes in the system.  Source for a couple are found in
the Win32SDK, like tlist.exe.  My personal favorite is pstat.exe found
in the win32sdk \mstools\bin

>-----Original Message-----
>From:	Enrico Brunetta [SMTP:[email-masked]]
>Sent:	Wednesday, October 23, 1996 8:09 AM
>To:	Geoffrey Noer
>Cc:	[email-masked]
>Subject:	Re: source code for 'ps' command ?
>
>
>Geoffrey Noer ([email-masked]) wrote on Oct 22, 1996 15:17:
>>> I just downloaded the distribution and found a ps.exe (which works fine)
>>> 
>>> I was wondering why there is no source code for the command (I'm a NT
>>>newbie
>>> that would like to know how the ps program interfaces with the OS).
>>
>>src/winsup/utils/ps.cc
>
>Thanks for indicating the source code location, as it turns out my download
>was
>aborted and I was missing that directory tree.
>
>On the other hand, it seems to me that the 'ps' command is monitoring just
>subprocesses of bash. Is that true ? If so, is there any other command that
>will allow me to see every single process on my machine ? 
>
>Thanks,
>Enrico.
>-
>For help on using this list, send a message to
>"[email-masked]" with one line of text: "help".
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".